// Copyright (C) 2023 WYATT GROUP
// Please see the AUTHORS file for details.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.

import 'package:flutter/material.dart';
import 'package:wyatt_ui_components/wyatt_ui_components.dart';

abstract class GradientHelper {
  static LinearGradient? linearFromNullableColors(List<Color>? colors) =>
      colors != null ? LinearGradient(colors: colors) : null;

  static LinearGradient? linearFromMultiColor(MultiColor multiColor) =>
      multiColor.isGradient ? LinearGradient(colors: multiColor.colors) : null;

  static RadialGradient? radialFromNullableColors(List<Color>? colors) =>
      colors != null ? RadialGradient(colors: colors) : null;

  static RadialGradient? radialFromMultiColor(MultiColor multiColor) =>
      multiColor.isGradient ? RadialGradient(colors: multiColor.colors) : null;

  static SweepGradient? sweepFromNullableColors(List<Color>? colors) =>
      colors != null ? SweepGradient(colors: colors) : null;

  static SweepGradient? sweepFromMultiColor(MultiColor multiColor) =>
      multiColor.isGradient ? SweepGradient(colors: multiColor.colors) : null;
}
