// Copyright (C) 2023 WYATT GROUP
// Please see the AUTHORS file for details.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.

import 'package:flutter/widgets.dart';
import 'package:wyatt_component_copy_with_extension/wyatt_component_copy_with_extension.dart';
import 'package:wyatt_ui_components/src/core/mixins/copy_with_mixin.dart';
import 'package:wyatt_ui_components/src/core/utils/multi_color.dart';
import 'package:wyatt_ui_components/src/core/utils/theme_resolver.dart';
import 'package:wyatt_ui_components/src/domain/entities/gradients/gradients.dart';

part 'gradient_text_component.g.dart';

@ComponentProxyExtension()
abstract class GradientTextComponent extends Text
    with CopyWithMixin<$GradientTextComponentCWProxy>
    implements GradientComponent {
  const GradientTextComponent({
    required String? data,
    required this.gradientColors,
    super.style,
    super.key,
    super.strutStyle,
    super.textAlign,
    super.textDirection,
    super.locale,
    super.softWrap,
    super.overflow,
    super.textScaleFactor,
    super.maxLines,
    super.semanticsLabel,
    super.textWidthBasis,
    super.textHeightBehavior,
    super.selectionColor,
  }) : super(data ?? '');

  @override
  final MultiColor gradientColors;

  @override
  ThemeResolver<dynamic, dynamic, dynamic>? get themeResolver => null;
}
